# Created by pyp2rpm-3.3.2
%global pypi_name pydeps

Name:           python-%{pypi_name}
Version:        1.9.0
Release:        1%{?dist}
Summary:        Display module dependencies

License:        BSD
URL:            https://github.com/thebjorn/pydeps
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 Python module dependency visualization. This package installs the pydeps
command, and normal usage will be to use it from the command line.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(enum34)
Requires:       python3dist(setuptools)
Requires:       python3dist(stdlib-list)
%description -n python3-%{pypi_name}
 Python module dependency visualization. This package installs the pydeps
command, and normal usage will be to use it from the command line.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/pydeps
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Apr 22 2020 mockbuilder - 1.9.0-1
- Initial package.